Skip to main content
GET
Get a beneficiary (V2)

Headers

Authorization
string
required

The access token.

Path Parameters

beneficiary_id
string
required

The identifier of a beneficiary.

Query Parameters

client_id
string
required

The identifier of a client.

Response

The data of a beneficiary.

The data of a beneficiary.

id
string
required

The identifier of the beneficiary.

active
boolean
required

True if beneficiary is active, False otherwise.

editable
boolean
required

True if beneficiary is editable, False otherwise.

is_first_party
boolean
required

True if beneficiary is a first party, False otherwise.

created_date
string
required

The date and time when the beneficiary was created.

notifications
object
required

The notification preferences of a beneficiary.

address
object
required

An address of a beneficiary or of a bank.

bank_account
object
required

The bank account of a beneficiary.

aml_status
string | null

The AML/screening status of the beneficiary.

name
string | null

The alias/display name of the beneficiary. The beneficiary's name is bank_account.holder_name.

type
enum<string> | null

The type of the beneficiary.

Available options:
personal,
business,
null
external_reference
string | null

The unique external reference submitted by the client for the beneficiary.

phone_number
string | null

The phone number of the beneficiary.

payouts_email
string | null

The email of the beneficiary to use during payouts.

identification_type
string | null

The identification (e.g. TAX ID) type of the beneficiary.

identification_value
string | null

The identification (e.g. TAX ID) value of the beneficiary.